XHTML2PDF3(1)

NAME
xhtml2pdf3 - PDF generator using HTML and CSS

SYNOPSIS

xhtml2pdf3 [-b base path] [--base=base path] [-c CSS file] [--css=CSS file] [--css-dump] [-d] [--debug] [--encoding=character encoding] [-h] [--help] [-q] [--quiet] [--version] [-w] [--warn] [-x] [--xml] [--xhtml] [--html] [SRC] [DEST]

DESCRIPTION

This manual page documents briefly the xhtml2pdf3 command.

xhtml2pdf3 is an HTML-to-PDF converter using the ReportLab Toolkit, HTML5lib and pyPdf.

It supports HTML 5 and CSS 2.1 (and some of CSS 3). It is completely written in pure Python so it is platform independent. The main benefit of this tool that a user with Web skills like HTML and CSS is able to generate PDF templates very quickly without learning new technologies. Easy integration into Python frameworks like CherryPy, KID Templating, TurboGears, Django, Zope, Plone, Google AppEngine (GAE) etc.

OPTIONS

A summary of options is included below.

SRC
    Name of a HTML file or a file pattern using * placeholder. If you want to read from stdin use - as file name. You may also load an URL over HTTP. Take care of putting the src in quotes if it contains characters like ?.

DEST
    Name of the generated PDF file or - if you like to send the result to stdout. Take care that the destination file is not already opened by any other application like the Adobe Reader. If the destination is not writeable a similar name will be calculated automatically.

-b, --base
    Specify a base path if input comes via STDIN.

-c, --css
    Path to default CSS file

--css-dump
    Dumps the default CSS definitions to STDOUT.

-d, --debug
    Show debugging information.

--encoding
    The character encoding of SRC. If left empty (default) this information will be extracted from the HTML header data.

-h, --help
    Show the help text.

-q, --quiet
    Show no messages.

--version
    Show version information.

-w, --warn
    Show warnings

-x, --xml, --xhtml
    Force parsing in XML mode (automatically used if SRC ends with .xml).

--html
    Force parsin in HTML mode (default).

AUTHOR

xhtml2pdf3 was written by Dirk Holtwick <<dirk.holtwick@gmail.com>>.

This manual page was written by Toby Smithe <<tsmithe@ubuntu.com>>, for the Debian project (but may be used by others).